Summary:	Miscellaneous filter collection for Vapoursynth
Summary(pl.UTF-8):	Zestaw różnych filtrów dla programu Vapoursynth
Name:		vapoursynth-plugin-miscfilters
Version:	2
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://github.com/vapoursynth/vs-miscfilters-obsolete/archive/R%{version}/vs-miscfilters-obsolete-R%{version}.tar.gz
# Source0-md5:	d8b2b296f789ad1cf9fd0abe1fb5c0cc
Patch0:		vs-miscfilters-obsolete-git.patch
URL:		https://github.com/vapoursynth/vs-miscfilters-obsolete
BuildRequires:	meson >= 0.48
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	ninja >= 1.5
BuildRequires:	vapoursynth-devel >= 55
Requires:	vapoursynth >= 55
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Miscellaneous Filters is a random collection of filters that mostly
are useful for Avisynth compatibility.

%description -l pl.UTF-8
Miscellaneous Filters to przypadkowy zbiór filtrów, przydatnych
głównie dla zgodności z programem Avisynth.

%prep
%setup -q -n vs-miscfilters-obsolete-R%{version}
%patch0 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/misc.rst
%attr(755,root,root) %{_libdir}/vapoursynth/libmiscfilters.so
%changelog
* Tue Apr 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vapoursynth-plugin-miscfilters.git;a=log;h=master

* Sun Apr 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 1772c8f
- cleanup

* Sat Apr 22 2023 Jakub Bogusz <qboosh@pld-linux.org> f2a119f
- now separate from vapoursynth

